Apache Struts 远程代码执行漏洞(CVE-2013-4316)

2013-09-26T00:00:00
ID SSV:61048
Type seebug
Reporter Root
Modified 2013-09-26T00:00:00

Description

BUGTRAQ ID: 62587 CVE(CAN) ID: CVE-2013-4316

Struts2 是第二代基于Model-View-Controller (MVC)模型的java企业级web应用框架。

Apache Struts 2.3.15.2之前版本的“Dynamic Method Invocation”机制是默认开启的,仅提醒用户如果可能的情况下关闭此机制,这样就存在远程代码执行漏洞,远程攻击者可利用此漏洞在受影响应用上下文中执行任意代码。 0 Apache Group Struts < 2.3.15.2 厂商补丁:

Apache Group

Apache Group已经为此发布了一个安全公告(s2-019)以及相应补丁: s2-019:S2-019 链接:http://struts.apache.org/release/2.3.x/docs/s2-019.html

补丁下载:

http://struts.apache.org/download.cgi#struts23152